.o-confirm-modal {
  width: 44rem;
  height: 100%;
  margin: 0 auto;

  display: flex !important;
  align-items: center;

  &.new-modal {
    gap: 20px;
    .rs-modal {
      &-content {
        padding: 0;

        border-radius: 0.8rem;
      }

      &-dialog {
        width: 100%;
      }

      &-body {
        margin: 0;
        padding: 24px;
      }
    }
    .new-modal-container {
      display: flex;
      flex-direction: column;
      gap: 20px;
      .new-modal {
        &-header {
          font-weight: 600;
          font-size: 20px;
          line-height: 28px;
          text-transform: uppercase;
          color: #EF4E2B;
        }

        &-content{
          display: flex;
          flex-direction: column;
          gap: 16px;

          &-title {
            font-weight: 700;
            font-size: 14px;
            line-height: 20px;
            color: #00081D;
          }

          &-des {
            margin: 0;
            padding-left: 15px;
            li {
              list-style-type: disc;
              font-weight: 400;
              font-size: 14px;
              line-height: 20px;
              color: #00081D;
            }
          }

          &-noti {
            font-weight: 400;
            font-size: 14px;
            line-height: 20px;
            color: #00081D;
          }
        }

        &-button {
          width: 100%;
          display: flex;
          flex-direction: row;
          justify-content: flex-end;
          gap: 10px;

          button {
            padding: 6px 24px;
            border-radius: 40px;
            font-weight: 400;
            font-size: 13px;
            line-height: 24px;
            opacity: 1;
          }

          &-cancel {
            --rs-btn-default-text: #8E91A0;
            --rs-btn-default-hover-text: #8E91A0;
            --rs-btn-default-active-text: #8E91A0;

            --rs-btn-default-bg: #F6F6F6;
            --rs-btn-default-hover-bg: #F6F6F6;
            --rs-btn-default-active-bg: #F6F6F6;
          }

          &-submit {
            --rs-btn-default-text: #FFF;
            --rs-btn-default-hover-text: #FFF;
            --rs-btn-default-active-text: #FFF;

            --rs-btn-default-bg: #EF4E2B;
            --rs-btn-default-hover-bg: #EF4E2B;
            --rs-btn-default-active-bg: #EF4E2B;
          }
        }
      }

    }

  }

  .rs-modal {
    &-content {
      padding: 0;

      border-radius: 0.8rem;
    }

    &-dialog {
      width: 100%;
    }

    &-body {
      margin: 0;
      padding: 0;
    }
  }

  .modal-toggle {
    position: absolute;
    top: 2rem;
    right: 2rem;

    width: 2.4rem;
    height: 2.4rem;

    cursor: pointer;

    img {
      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }

  .modal-content {
    width: 100%;
    margin-top: 3.2rem;

    .modal-banner {
      width: 12rem;
      height: 12rem;

      margin: 0 auto;

      img {
        width: 100%;
        height: 100%;

        object-fit: contain;
        object-position: center;
      }
    }

    .modal-title {
      margin: 1rem auto 0 auto;

      color: #374352;
      font-size: 2.8rem;
      font-weight: 600;
      line-height: 3.8rem;
      text-align: center;
    }

    .modal-description {
      max-width: 34.3rem;
      margin: 0.8rem auto 0 auto;

      color: #526375;
      font-size: 1.6rem;
      line-height: 2.4rem;
      text-align: center;
    }
  }

  .modal-footer {
    margin: 3.2rem 0;

    display: flex;
    align-items: center;
    justify-content: center;

    .rs-btn {
      min-width: 18rem;
      height: 4.8rem;
      margin: 0 0.8rem;

      border-radius: 1.2rem;

      font-size: 1.6rem;
      font-weight: 600;

      &.primary {
        background: #6868ac;

        color: #fff;
      }

      &.secondary {
        background: #e4e4f0;

        color: #6868ac;
      }
    }
  }
}
